Host Profile Manager Retrieve Answer File

Host Profile Manager Retrieve Answer File
Returns the answer file associated with a particular host.

Returns the answer file associated with a particular host.

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HostProfileManager/{moId}/RetrieveAnswerFile
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostProfileManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
RetrieveAnswerFileRequestType of type(s) application/json
Required

Show optional properties

{
    "host": {}
}
{
    "host": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
host
Required

Host with which the answer file is associated.

Required privileges: Profile.Edit

Authentication
This operation uses the following authentication methods.
Responses
200

Answer file object will be returned if it exists.

{
    "_typeName": "string",
    "userInput": [
        {
            "_typeName": "string",
            "inputPath": {
                "_typeName": "string",
                "profilePath": "string",
                "policyId": "string",
                "parameterId": "string",
                "policyOptionId": "string"
            },
            "parameter": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ]
        }
    ],
    "createdTime": "string",
    "modifiedTime": "string"
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"host":"{}"}' https://{api_host}/sdk/vim25/{release}/HostProfileManager/{moId}/RetrieveAnswerFile